<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:f="jakarta.faces.core"
	xmlns:h="jakarta.faces.html" xmlns:ui="jakarta.faces.facelets"
	xmlns:bw="http://www.scc.kit.edu/bwfacelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:of="http://omnifaces.org/functions">
<head>
<title></title>
</head>
<body>
	<f:view>
		
		<ui:composition template="/template/default.xhtml">
			<ui:param name="title" value="#{messages.title}" />

			<ui:define name="content">			
				<h:form id="form" prependId="false" class="full" >
					<h2>
						<h:outputText value="#{messages['project.create_new_project']}" />
					</h2>

					<div>
						<h:outputText
							value="#{messages['project.create_new_project_text']}"
							escape="false" />
					</div>

					<div>
						<p:messages showDetail="true" />
					</div>

					<p:panel>
						<h:panelGrid id="baseData" columns="2"
							columnClasses="labelColumn, elementColumn">

							<bw:inputText id="nameField" label="#{messages.name}"
								value="#{userProjectCreateNewBean.entity.name}" required="true" />

							<bw:inputText id="shortNameField" label="#{messages.short_name}"
								value="#{userProjectCreateNewBean.entity.shortName}"
								required="true" />

							<bw:inputText id="groupNameField" label="#{messages.group_name}"
								value="#{userProjectCreateNewBean.entity.groupName}"
								required="true" />

							<bw:inputText id="shortDescField"
								label="#{messages['project.short_description']}"
								value="#{userProjectCreateNewBean.entity.shortDescription}"
								required="false" />

							<p:outputLabel for="@next"
								value="#{messages['project.long_description']}" />
							<p:outputPanel>
								<p:inputTextarea id="keyInputArea"
									value="#{userProjectCreateNewBean.entity.description}"
									style="height: 160px;" autoResize="false" maxlength="8128">
								</p:inputTextarea>
							</p:outputPanel>

							<p:outputLabel for="@next"
								value="#{messages['project.include_myself_as_member']}" />
							<p:inputSwitch value="#{userProjectCreateNewBean.selfMember}"></p:inputSwitch>

						</h:panelGrid>

					</p:panel>

					<h:panelGroup layout="block" styleClass="form">
						<p:commandButton id="cancel"
							action="#{userProjectCreateNewBean.cancel}"
							value="#{messages.cancel}" immediate="true" />
							
						<p:commandButton id="save"
							action="#{userProjectCreateNewBean.save}"
							value="#{messages.save}" style="margin-left: 1em;" 
							validateClient="true" ajax="true" update="form" 
							/>
														
							</h:panelGroup>

				</h:form>
			</ui:define>
		</ui:composition>
	</f:view>
</body>
</html>
